Back to index

salome-geom  6.5.0
Functions
Creating Complex Objects
Creating geometrical objects
Collaboration diagram for Creating Complex Objects:

Functions

def geompyDC.geompyDC.MakePrism
 Create a shape by extrusion of the base shape along a vector, defined by two points.
def geompyDC.geompyDC.MakePrism2Ways
 Create a shape by extrusion of the base shape along a vector, defined by two points, in 2 Ways (forward/backward).
def geompyDC.geompyDC.MakePrismVecH
 Create a shape by extrusion of the base shape along the vector, i.e.
def geompyDC.geompyDC.MakePrismVecH2Ways
 Create a shape by extrusion of the base shape along the vector, i.e.
def geompyDC.geompyDC.MakePrismDXDYDZ
 Create a shape by extrusion of the base shape along the dx, dy, dz direction.
def geompyDC.geompyDC.MakePrismDXDYDZ2Ways
 Create a shape by extrusion of the base shape along the dx, dy, dz direction i.e.
def geompyDC.geompyDC.MakeRevolution
 Create a shape by revolution of the base shape around the axis on the given angle, i.e.
def geompyDC.geompyDC.MakeRevolution2Ways
 Create a shape by revolution of the base shape around the axis on the given angle, i.e.
def geompyDC.geompyDC.MakeFilling
 Create a filling from the given compound of contours.
def geompyDC.geompyDC.MakeThruSections
 Create a shell or solid passing through set of sections.Sections should be wires,edges or vertices.
def geompyDC.geompyDC.MakePipe
 Create a shape by extrusion of the base shape along the path shape.
def geompyDC.geompyDC.MakePipeWithDifferentSections
 Create a shape by extrusion of the profile shape along the path shape.
def geompyDC.geompyDC.MakePipeWithShellSections
 Create a shape by extrusion of the profile shape along the path shape.
def geompyDC.geompyDC.MakePipeWithShellSectionsBySteps
 Create a shape by extrusion of the profile shape along the path shape.
def geompyDC.geompyDC.MakePipeShellsWithoutPath
 Create solids between given sections.
def geompyDC.geompyDC.MakePipeBiNormalAlongVector
 Create a shape by extrusion of the base shape along the path shape with constant bi-normal direction along the given vector.

Function Documentation

def geompyDC.geompyDC.MakeFilling (   self,
  theShape,
  theMinDeg,
  theMaxDeg,
  theTol2D,
  theTol3D,
  theNbIter,
  theMethod = GEOM.FOM_Default,
  isApprox = 0 
)

Create a filling from the given compound of contours.

Parameters:
theShapethe compound of contours
theMinDega minimal degree of BSpline surface to create
theMaxDega maximal degree of BSpline surface to create
theTol2Da 2d tolerance to be reached
theTol3Da 3d tolerance to be reached
theNbItera number of iteration of approximation algorithm
theMethodKind of method to perform filling operation(see GEOM::filling_oper_method())
isApproxif True, BSpline curves are generated in the process of surface construction. By default it is False, that means the surface is created using Besier curves. The usage of Approximation makes the algorithm work slower, but allows building the surface for rather complex cases
Returns:
New GEOM.GEOM_Object, containing the created filling surface.

Example

Create a filling from the given compound of contours.

Parameters:
    theShape the compound of contours
    theMinDeg a minimal degree of BSpline surface to create
    theMaxDeg a maximal degree of BSpline surface to create
    theTol2D a 2d tolerance to be reached
    theTol3D a 3d tolerance to be reached
    theNbIter a number of iteration of approximation algorithm
    theMethod Kind of method to perform filling operation(see GEOM::filling_oper_method())
    isApprox if True, BSpline curves are generated in the process
 of surface construction. By default it is False, that means
 the surface is created using Besier curves. The usage of
 Approximation makes the algorithm work slower, but allows
 building the surface for rather complex cases

Returns: 
    New GEOM.GEOM_Object, containing the created filling surface.

Example of usage:
    filling = geompy.MakeFilling(compound, 2, 5, 0.0001, 0.0001, 5)

Definition at line 2491 of file geompyDC.py.

02491 
02492                         theTol3D, theNbIter, theMethod=GEOM.FOM_Default, isApprox=0):
02493             """
02494             Create a filling from the given compound of contours.
02495 
02496             Parameters:
02497                 theShape the compound of contours
02498                 theMinDeg a minimal degree of BSpline surface to create
02499                 theMaxDeg a maximal degree of BSpline surface to create
02500                 theTol2D a 2d tolerance to be reached
02501                 theTol3D a 3d tolerance to be reached
02502                 theNbIter a number of iteration of approximation algorithm
02503                 theMethod Kind of method to perform filling operation(see GEOM::filling_oper_method())
02504                 isApprox if True, BSpline curves are generated in the process
02505                          of surface construction. By default it is False, that means
02506                          the surface is created using Besier curves. The usage of
02507                          Approximation makes the algorithm work slower, but allows
02508                          building the surface for rather complex cases
02509 
02510             Returns: 
02511                 New GEOM.GEOM_Object, containing the created filling surface.
02512 
02513             Example of usage:
02514                 filling = geompy.MakeFilling(compound, 2, 5, 0.0001, 0.0001, 5)
02515             """
02516             # Example: see GEOM_TestAll.py
02517             theMinDeg,theMaxDeg,theTol2D,theTol3D,theNbIter,Parameters = ParseParameters(theMinDeg, theMaxDeg, theTol2D, theTol3D, theNbIter)
02518             anObj = self.PrimOp.MakeFilling(theShape, theMinDeg, theMaxDeg,
02519                                             theTol2D, theTol3D, theNbIter,
02520                                             theMethod, isApprox)
02521             RaiseIfFailed("MakeFilling", self.PrimOp)
02522             anObj.SetParameters(Parameters)
02523             return anObj

Here is the call graph for this function:

Here is the caller graph for this function:

def geompyDC.geompyDC.MakePipe (   self,
  theBase,
  thePath 
)

Create a shape by extrusion of the base shape along the path shape.

The path shape can be a wire or an edge.

Parameters:
theBaseBase shape to be extruded.
thePathPath shape to extrude the base shape along it.
Returns:
New GEOM.GEOM_Object, containing the created pipe.

Example

Create a shape by extrusion of the base shape along
the path shape. The path shape can be a wire or an edge.

Parameters:
    theBase Base shape to be extruded.
    thePath Path shape to extrude the base shape along it.

Returns:
    New GEOM.GEOM_Object, containing the created pipe.

Definition at line 2557 of file geompyDC.py.

02557 
02558         def MakePipe(self,theBase, thePath):
02559             """
02560             Create a shape by extrusion of the base shape along
02561             the path shape. The path shape can be a wire or an edge.
02562 
02563             Parameters:
02564                 theBase Base shape to be extruded.
02565                 thePath Path shape to extrude the base shape along it.
02566 
02567             Returns:
02568                 New GEOM.GEOM_Object, containing the created pipe.
02569             """
02570             # Example: see GEOM_TestAll.py
02571             anObj = self.PrimOp.MakePipe(theBase, thePath)
02572             RaiseIfFailed("MakePipe", self.PrimOp)
02573             return anObj

Here is the call graph for this function:

def geompyDC.geompyDC.MakePipeBiNormalAlongVector (   self,
  theBase,
  thePath,
  theVec 
)

Create a shape by extrusion of the base shape along the path shape with constant bi-normal direction along the given vector.

The path shape can be a wire or an edge.

Parameters:
theBaseBase shape to be extruded.
thePathPath shape to extrude the base shape along it.
theVecVector defines a constant binormal direction to keep the same angle beetween the direction and the sections along the sweep surface.
Returns:
New GEOM.GEOM_Object, containing the created pipe.

Example

Create a shape by extrusion of the base shape along
the path shape with constant bi-normal direction along the given vector.
The path shape can be a wire or an edge.

Parameters:
    theBase Base shape to be extruded.
    thePath Path shape to extrude the base shape along it.
    theVec Vector defines a constant binormal direction to keep the
           same angle beetween the direction and the sections
           along the sweep surface.

Returns:              
    New GEOM.GEOM_Object, containing the created pipe.

Definition at line 2754 of file geompyDC.py.

02754 
02755         def MakePipeBiNormalAlongVector(self,theBase, thePath, theVec):
02756             """
02757             Create a shape by extrusion of the base shape along
02758             the path shape with constant bi-normal direction along the given vector.
02759             The path shape can be a wire or an edge.
02760 
02761             Parameters:
02762                 theBase Base shape to be extruded.
02763                 thePath Path shape to extrude the base shape along it.
02764                 theVec Vector defines a constant binormal direction to keep the
02765                        same angle beetween the direction and the sections
02766                        along the sweep surface.
02767 
02768             Returns:              
02769                 New GEOM.GEOM_Object, containing the created pipe.
02770             """
02771             # Example: see GEOM_TestAll.py
02772             anObj = self.PrimOp.MakePipeBiNormalAlongVector(theBase, thePath, theVec)
02773             RaiseIfFailed("MakePipeBiNormalAlongVector", self.PrimOp)
02774             return anObj

Here is the call graph for this function:

def geompyDC.geompyDC.MakePipeShellsWithoutPath (   self,
  theSeqBases,
  theLocations 
)

Create solids between given sections.

Parameters:
theSeqBases- list of sections (shell or face).
theLocations- list of corresponding vertexes
Returns:
New GEOM.GEOM_Object, containing the created solids.

Example

Create solids between given sections

Parameters:
    theSeqBases - list of sections (shell or face).
    theLocations - list of corresponding vertexes

Returns:
    New GEOM.GEOM_Object, containing the created solids.

Definition at line 2728 of file geompyDC.py.

02728 
02729         def MakePipeShellsWithoutPath(self, theSeqBases, theLocations):
02730             """
02731             Create solids between given sections
02732 
02733             Parameters:
02734                 theSeqBases - list of sections (shell or face).
02735                 theLocations - list of corresponding vertexes
02736 
02737             Returns:
02738                 New GEOM.GEOM_Object, containing the created solids.
02739             """
02740             anObj = self.PrimOp.MakePipeShellsWithoutPath(theSeqBases, theLocations)
02741             RaiseIfFailed("MakePipeShellsWithoutPath", self.PrimOp)
02742             return anObj

Here is the call graph for this function:

def geompyDC.geompyDC.MakePipeWithDifferentSections (   self,
  theSeqBases,
  theLocations,
  thePath,
  theWithContact,
  theWithCorrection 
)

Create a shape by extrusion of the profile shape along the path shape.

The path shape can be a wire or an edge. the several profiles can be specified in the several locations of path.

Parameters:
theSeqBases- list of Bases shape to be extruded.
theLocations- list of locations on the path corresponding specified list of the Bases shapes. Number of locations should be equal to number of bases or list of locations can be empty.
thePath- Path shape to extrude the base shape along it.
theWithContact- the mode defining that the section is translated to be in contact with the spine.
theWithCorrection- defining that the section is rotated to be orthogonal to the spine tangent in the correspondent point
Returns:
New GEOM.GEOM_Object, containing the created pipe.

Example

Create a shape by extrusion of the profile shape along
the path shape. The path shape can be a wire or an edge.
the several profiles can be specified in the several locations of path.

Parameters:
    theSeqBases - list of  Bases shape to be extruded.
    theLocations - list of locations on the path corresponding
       specified list of the Bases shapes. Number of locations
       should be equal to number of bases or list of locations can be empty.
    thePath - Path shape to extrude the base shape along it.
    theWithContact - the mode defining that the section is translated to be in
         contact with the spine(0/1)
    theWithCorrection - defining that the section is rotated to be
            orthogonal to the spine tangent in the correspondent point (0/1)

Returns:
    New GEOM.GEOM_Object, containing the created pipe.

Definition at line 2591 of file geompyDC.py.

02591 
02592                                           theWithContact, theWithCorrection):
02593             """
02594             Create a shape by extrusion of the profile shape along
02595             the path shape. The path shape can be a wire or an edge.
02596             the several profiles can be specified in the several locations of path.
02597 
02598             Parameters:
02599                 theSeqBases - list of  Bases shape to be extruded.
02600                 theLocations - list of locations on the path corresponding
02601                                specified list of the Bases shapes. Number of locations
02602                                should be equal to number of bases or list of locations can be empty.
02603                 thePath - Path shape to extrude the base shape along it.
02604                 theWithContact - the mode defining that the section is translated to be in
02605                                  contact with the spine(0/1)
02606                 theWithCorrection - defining that the section is rotated to be
02607                                     orthogonal to the spine tangent in the correspondent point (0/1)
02608 
02609             Returns:
02610                 New GEOM.GEOM_Object, containing the created pipe.
02611             """
02612             anObj = self.PrimOp.MakePipeWithDifferentSections(theSeqBases,
02613                                                               theLocations, thePath,
02614                                                               theWithContact, theWithCorrection)
02615             RaiseIfFailed("MakePipeWithDifferentSections", self.PrimOp)
02616             return anObj

Here is the call graph for this function:

Here is the caller graph for this function:

def geompyDC.geompyDC.MakePipeWithShellSections (   self,
  theSeqBases,
  theSeqSubBases,
  theLocations,
  thePath,
  theWithContact,
  theWithCorrection 
)

Create a shape by extrusion of the profile shape along the path shape.

The path shape can be a wire or a edge. the several profiles can be specified in the several locations of path.

Parameters:
theSeqBases- list of Bases shape to be extruded. Base shape must be shell or face. If number of faces in neighbour sections aren't coincided result solid between such sections will be created using external boundaries of this shells.
theSeqSubBases- list of corresponding sub-shapes of section shapes. This list is used for searching correspondences between faces in the sections. Size of this list must be equal to size of list of base shapes.
theLocations- list of locations on the path corresponding specified list of the Bases shapes. Number of locations should be equal to number of bases. First and last locations must be coincided with first and last vertexes of path correspondingly.
thePath- Path shape to extrude the base shape along it.
theWithContact- the mode defining that the section is translated to be in contact with the spine.
theWithCorrection- defining that the section is rotated to be orthogonal to the spine tangent in the correspondent point
Returns:
New GEOM.GEOM_Object, containing the created solids.

Example

Create a shape by extrusion of the profile shape along
the path shape. The path shape can be a wire or a edge.
the several profiles can be specified in the several locations of path.

Parameters:
    theSeqBases - list of  Bases shape to be extruded. Base shape must be
      shell or face. If number of faces in neighbour sections
      aren't coincided result solid between such sections will
      be created using external boundaries of this shells.
    theSeqSubBases - list of corresponding sub-shapes of section shapes.
         This list is used for searching correspondences between
         faces in the sections. Size of this list must be equal
         to size of list of base shapes.
    theLocations - list of locations on the path corresponding
       specified list of the Bases shapes. Number of locations
       should be equal to number of bases. First and last
       locations must be coincided with first and last vertexes
       of path correspondingly.
    thePath - Path shape to extrude the base shape along it.
    theWithContact - the mode defining that the section is translated to be in
         contact with the spine (0/1)
    theWithCorrection - defining that the section is rotated to be
            orthogonal to the spine tangent in the correspondent point (0/1)

Returns:                           
    New GEOM.GEOM_Object, containing the created solids.

Definition at line 2643 of file geompyDC.py.

02643 
02644                                       theWithContact, theWithCorrection):
02645             """
02646             Create a shape by extrusion of the profile shape along
02647             the path shape. The path shape can be a wire or a edge.
02648             the several profiles can be specified in the several locations of path.
02649 
02650             Parameters:
02651                 theSeqBases - list of  Bases shape to be extruded. Base shape must be
02652                               shell or face. If number of faces in neighbour sections
02653                               aren't coincided result solid between such sections will
02654                               be created using external boundaries of this shells.
02655                 theSeqSubBases - list of corresponding sub-shapes of section shapes.
02656                                  This list is used for searching correspondences between
02657                                  faces in the sections. Size of this list must be equal
02658                                  to size of list of base shapes.
02659                 theLocations - list of locations on the path corresponding
02660                                specified list of the Bases shapes. Number of locations
02661                                should be equal to number of bases. First and last
02662                                locations must be coincided with first and last vertexes
02663                                of path correspondingly.
02664                 thePath - Path shape to extrude the base shape along it.
02665                 theWithContact - the mode defining that the section is translated to be in
02666                                  contact with the spine (0/1)
02667                 theWithCorrection - defining that the section is rotated to be
02668                                     orthogonal to the spine tangent in the correspondent point (0/1)
02669 
02670             Returns:                           
02671                 New GEOM.GEOM_Object, containing the created solids.
02672             """
02673             anObj = self.PrimOp.MakePipeWithShellSections(theSeqBases, theSeqSubBases,
02674                                                           theLocations, thePath,
02675                                                           theWithContact, theWithCorrection)
02676             RaiseIfFailed("MakePipeWithShellSections", self.PrimOp)
02677             return anObj

Here is the call graph for this function:

Here is the caller graph for this function:

def geompyDC.geompyDC.MakePipeWithShellSectionsBySteps (   self,
  theSeqBases,
  theSeqSubBases,
  theLocations,
  thePath,
  theWithContact,
  theWithCorrection 
)

Create a shape by extrusion of the profile shape along the path shape.

This function is used only for debug pipe functionality - it is a version of function MakePipeWithShellSections() which give a possibility to recieve information about creating pipe between each pair of sections step by step.

Create a shape by extrusion of the profile shape along
the path shape. This function is used only for debug pipe
functionality - it is a version of previous function
geompy.MakePipeWithShellSections() which give a possibility to
recieve information about creating pipe between each pair of
sections step by step.

Definition at line 2685 of file geompyDC.py.

02685 
02686                                              theWithContact, theWithCorrection):
02687             """
02688             Create a shape by extrusion of the profile shape along
02689             the path shape. This function is used only for debug pipe
02690             functionality - it is a version of previous function
02691             geompy.MakePipeWithShellSections() which give a possibility to
02692             recieve information about creating pipe between each pair of
02693             sections step by step.
02694             """
02695             res = []
02696             nbsect = len(theSeqBases)
02697             nbsubsect = len(theSeqSubBases)
02698             #print "nbsect = ",nbsect
02699             for i in range(1,nbsect):
02700                 #print "  i = ",i
02701                 tmpSeqBases = [ theSeqBases[i-1], theSeqBases[i] ]
02702                 tmpLocations = [ theLocations[i-1], theLocations[i] ]
02703                 tmpSeqSubBases = []
02704                 if nbsubsect>0: tmpSeqSubBases = [ theSeqSubBases[i-1], theSeqSubBases[i] ]
02705                 anObj = self.PrimOp.MakePipeWithShellSections(tmpSeqBases, tmpSeqSubBases,
02706                                                               tmpLocations, thePath,
02707                                                               theWithContact, theWithCorrection)
02708                 if self.PrimOp.IsDone() == 0:
02709                     print "Problems with pipe creation between ",i," and ",i+1," sections"
02710                     RaiseIfFailed("MakePipeWithShellSections", self.PrimOp)
02711                     break
02712                 else:
02713                     print "Pipe between ",i," and ",i+1," sections is OK"
02714                     res.append(anObj)
02715                     pass
02716                 pass
02717 
02718             resc = self.MakeCompound(res)
02719             #resc = self.MakeSewing(res, 0.001)
02720             #print "resc: ",resc
02721             return resc

Here is the call graph for this function:

Here is the caller graph for this function:

def geompyDC.geompyDC.MakePrism (   self,
  theBase,
  thePoint1,
  thePoint2,
  theScaleFactor = -1.0 
)

Create a shape by extrusion of the base shape along a vector, defined by two points.

Parameters:
theBaseBase shape to be extruded.
thePoint1First end of extrusion vector.
thePoint2Second end of extrusion vector.
theScaleFactorUse it to make prism with scaled second base. Nagative value means not scaled second base.
Returns:
New GEOM.GEOM_Object, containing the created prism.

Example

Create a shape by extrusion of the base shape along a vector, defined by two points.

Parameters: 
    theBase Base shape to be extruded.
    thePoint1 First end of extrusion vector.
    thePoint2 Second end of extrusion vector.
    theScaleFactor Use it to make prism with scaled second base.
       Nagative value means not scaled second base.

Returns:
    New GEOM.GEOM_Object, containing the created prism.

Definition at line 2229 of file geompyDC.py.

02229 
02230         def MakePrism(self, theBase, thePoint1, thePoint2, theScaleFactor = -1.0):
02231             """
02232             Create a shape by extrusion of the base shape along a vector, defined by two points.
02233 
02234             Parameters: 
02235                 theBase Base shape to be extruded.
02236                 thePoint1 First end of extrusion vector.
02237                 thePoint2 Second end of extrusion vector.
02238                 theScaleFactor Use it to make prism with scaled second base.
02239                                Nagative value means not scaled second base.
02240 
02241             Returns:
02242                 New GEOM.GEOM_Object, containing the created prism.
02243             """
02244             # Example: see GEOM_TestAll.py
02245             anObj = None
02246             Parameters = ""
02247             if theScaleFactor > 0:
02248                 theScaleFactor,Parameters = ParseParameters(theScaleFactor)
02249                 anObj = self.PrimOp.MakePrismTwoPntWithScaling(theBase, thePoint1, thePoint2, theScaleFactor)
02250             else:
02251                 anObj = self.PrimOp.MakePrismTwoPnt(theBase, thePoint1, thePoint2)
02252             RaiseIfFailed("MakePrismTwoPnt", self.PrimOp)
02253             anObj.SetParameters(Parameters)
02254             return anObj

Here is the call graph for this function:

def geompyDC.geompyDC.MakePrism2Ways (   self,
  theBase,
  thePoint1,
  thePoint2 
)

Create a shape by extrusion of the base shape along a vector, defined by two points, in 2 Ways (forward/backward).

Parameters:
theBaseBase shape to be extruded.
thePoint1First end of extrusion vector.
thePoint2Second end of extrusion vector.
Returns:
New GEOM.GEOM_Object, containing the created prism.

Example

Create a shape by extrusion of the base shape along a
vector, defined by two points, in 2 Ways (forward/backward).

Parameters: 
    theBase Base shape to be extruded.
    thePoint1 First end of extrusion vector.
    thePoint2 Second end of extrusion vector.

Returns:
    New GEOM.GEOM_Object, containing the created prism.

Definition at line 2263 of file geompyDC.py.

02263 
02264         def MakePrism2Ways(self, theBase, thePoint1, thePoint2):
02265             """
02266             Create a shape by extrusion of the base shape along a
02267             vector, defined by two points, in 2 Ways (forward/backward).
02268 
02269             Parameters: 
02270                 theBase Base shape to be extruded.
02271                 thePoint1 First end of extrusion vector.
02272                 thePoint2 Second end of extrusion vector.
02273 
02274             Returns:
02275                 New GEOM.GEOM_Object, containing the created prism.
02276             """
02277             # Example: see GEOM_TestAll.py
02278             anObj = self.PrimOp.MakePrismTwoPnt2Ways(theBase, thePoint1, thePoint2)
02279             RaiseIfFailed("MakePrismTwoPnt", self.PrimOp)
02280             return anObj

Here is the call graph for this function:

def geompyDC.geompyDC.MakePrismDXDYDZ (   self,
  theBase,
  theDX,
  theDY,
  theDZ,
  theScaleFactor = -1.0 
)

Create a shape by extrusion of the base shape along the dx, dy, dz direction.

Parameters:
theBaseBase shape to be extruded.
theDX,theDY,theDZDirections of extrusion.
theScaleFactorUse it to make prism with scaled second base. Nagative value means not scaled second base.
Returns:
New GEOM.GEOM_Object, containing the created prism.

Example

Create a shape by extrusion of the base shape along the dx, dy, dz direction

Parameters:
    theBase Base shape to be extruded.
    theDX, theDY, theDZ Directions of extrusion.
    theScaleFactor Use it to make prism with scaled second base.
       Nagative value means not scaled second base.

Returns: 
    New GEOM.GEOM_Object, containing the created prism.

Definition at line 2359 of file geompyDC.py.

02359 
02360         def MakePrismDXDYDZ(self, theBase, theDX, theDY, theDZ, theScaleFactor = -1.0):
02361             """
02362             Create a shape by extrusion of the base shape along the dx, dy, dz direction
02363 
02364             Parameters:
02365                 theBase Base shape to be extruded.
02366                 theDX, theDY, theDZ Directions of extrusion.
02367                 theScaleFactor Use it to make prism with scaled second base.
02368                                Nagative value means not scaled second base.
02369 
02370             Returns: 
02371                 New GEOM.GEOM_Object, containing the created prism.
02372             """
02373             # Example: see GEOM_TestAll.py
02374             anObj = None
02375             Parameters = ""
02376             if theScaleFactor > 0:
02377                 theDX,theDY,theDZ,theScaleFactor,Parameters = ParseParameters(theDX, theDY, theDZ, theScaleFactor)
02378                 anObj = self.PrimOp.MakePrismDXDYDZWithScaling(theBase, theDX, theDY, theDZ, theScaleFactor)
02379             else:
02380                 theDX,theDY,theDZ,Parameters = ParseParameters(theDX, theDY, theDZ)
02381                 anObj = self.PrimOp.MakePrismDXDYDZ(theBase, theDX, theDY, theDZ)
02382             RaiseIfFailed("MakePrismDXDYDZ", self.PrimOp)
02383             anObj.SetParameters(Parameters)
02384             return anObj

Here is the call graph for this function:

def geompyDC.geompyDC.MakePrismDXDYDZ2Ways (   self,
  theBase,
  theDX,
  theDY,
  theDZ 
)

Create a shape by extrusion of the base shape along the dx, dy, dz direction i.e.

all the space, transfixed by the base shape during its translation along the vector on the given distance in 2 Ways (forward/backward).

Parameters:
theBaseBase shape to be extruded.
theDX,theDY,theDZDirections of extrusion.
Returns:
New GEOM.GEOM_Object, containing the created prism.

Example

Create a shape by extrusion of the base shape along the dx, dy, dz direction
i.e. all the space, transfixed by the base shape during its translation
along the vector on the given distance in 2 Ways (forward/backward).

Parameters:
    theBase Base shape to be extruded.
    theDX, theDY, theDZ Directions of extrusion.

Returns:
    New GEOM.GEOM_Object, containing the created prism.

Definition at line 2393 of file geompyDC.py.

02393 
02394         def MakePrismDXDYDZ2Ways(self, theBase, theDX, theDY, theDZ):
02395             """
02396             Create a shape by extrusion of the base shape along the dx, dy, dz direction
02397             i.e. all the space, transfixed by the base shape during its translation
02398             along the vector on the given distance in 2 Ways (forward/backward).
02399 
02400             Parameters:
02401                 theBase Base shape to be extruded.
02402                 theDX, theDY, theDZ Directions of extrusion.
02403 
02404             Returns:
02405                 New GEOM.GEOM_Object, containing the created prism.
02406             """
02407             # Example: see GEOM_TestAll.py
02408             theDX,theDY,theDZ,Parameters = ParseParameters(theDX, theDY, theDZ)
02409             anObj = self.PrimOp.MakePrismDXDYDZ2Ways(theBase, theDX, theDY, theDZ)
02410             RaiseIfFailed("MakePrismDXDYDZ2Ways", self.PrimOp)
02411             anObj.SetParameters(Parameters)
02412             return anObj

Here is the call graph for this function:

def geompyDC.geompyDC.MakePrismVecH (   self,
  theBase,
  theVec,
  theH,
  theScaleFactor = -1.0 
)

Create a shape by extrusion of the base shape along the vector, i.e.

all the space, transfixed by the base shape during its translation along the vector on the given distance.

Parameters:
theBaseBase shape to be extruded.
theVecDirection of extrusion.
theHPrism dimension along theVec.
theScaleFactorUse it to make prism with scaled second base. Negative value means not scaled second base.
Returns:
New GEOM.GEOM_Object, containing the created prism.

Example

Create a shape by extrusion of the base shape along the vector,
i.e. all the space, transfixed by the base shape during its translation
along the vector on the given distance.

Parameters: 
    theBase Base shape to be extruded.
    theVec Direction of extrusion.
    theH Prism dimension along theVec.
    theScaleFactor Use it to make prism with scaled second base.
       Negative value means not scaled second base.

Returns:
    New GEOM.GEOM_Object, containing the created prism.

Definition at line 2292 of file geompyDC.py.

02292 
02293         def MakePrismVecH(self, theBase, theVec, theH, theScaleFactor = -1.0):
02294             """
02295             Create a shape by extrusion of the base shape along the vector,
02296             i.e. all the space, transfixed by the base shape during its translation
02297             along the vector on the given distance.
02298 
02299             Parameters: 
02300                 theBase Base shape to be extruded.
02301                 theVec Direction of extrusion.
02302                 theH Prism dimension along theVec.
02303                 theScaleFactor Use it to make prism with scaled second base.
02304                                Negative value means not scaled second base.
02305 
02306             Returns:
02307                 New GEOM.GEOM_Object, containing the created prism.
02308             """
02309             # Example: see GEOM_TestAll.py
02310             anObj = None
02311             Parameters = ""
02312             if theScaleFactor > 0:
02313                 theH,theScaleFactor,Parameters = ParseParameters(theH,theScaleFactor)
02314                 anObj = self.PrimOp.MakePrismVecHWithScaling(theBase, theVec, theH, theScaleFactor)
02315             else:
02316                 theH,Parameters = ParseParameters(theH)
02317                 anObj = self.PrimOp.MakePrismVecH(theBase, theVec, theH)
02318             RaiseIfFailed("MakePrismVecH", self.PrimOp)
02319             anObj.SetParameters(Parameters)
02320             return anObj

Here is the call graph for this function:

def geompyDC.geompyDC.MakePrismVecH2Ways (   self,
  theBase,
  theVec,
  theH 
)

Create a shape by extrusion of the base shape along the vector, i.e.

all the space, transfixed by the base shape during its translation along the vector on the given distance in 2 Ways (forward/backward).

Parameters:
theBaseBase shape to be extruded.
theVecDirection of extrusion.
theHPrism dimension along theVec in forward direction.
Returns:
New GEOM.GEOM_Object, containing the created prism.

Example

Create a shape by extrusion of the base shape along the vector,
i.e. all the space, transfixed by the base shape during its translation
along the vector on the given distance in 2 Ways (forward/backward).

Parameters:
    theBase Base shape to be extruded.
    theVec Direction of extrusion.
    theH Prism dimension along theVec in forward direction.

Returns:
    New GEOM.GEOM_Object, containing the created prism.

Definition at line 2330 of file geompyDC.py.

02330 
02331         def MakePrismVecH2Ways(self, theBase, theVec, theH):
02332             """
02333             Create a shape by extrusion of the base shape along the vector,
02334             i.e. all the space, transfixed by the base shape during its translation
02335             along the vector on the given distance in 2 Ways (forward/backward).
02336 
02337             Parameters:
02338                 theBase Base shape to be extruded.
02339                 theVec Direction of extrusion.
02340                 theH Prism dimension along theVec in forward direction.
02341 
02342             Returns:
02343                 New GEOM.GEOM_Object, containing the created prism.
02344             """
02345             # Example: see GEOM_TestAll.py
02346             theH,Parameters = ParseParameters(theH)
02347             anObj = self.PrimOp.MakePrismVecH2Ways(theBase, theVec, theH)
02348             RaiseIfFailed("MakePrismVecH2Ways", self.PrimOp)
02349             anObj.SetParameters(Parameters)
02350             return anObj

Here is the call graph for this function:

def geompyDC.geompyDC.MakeRevolution (   self,
  theBase,
  theAxis,
  theAngle 
)

Create a shape by revolution of the base shape around the axis on the given angle, i.e.

all the space, transfixed by the base shape during its rotation around the axis on the given angle.

Parameters:
theBaseBase shape to be rotated.
theAxisRotation axis.
theAngleRotation angle in radians.
Returns:
New GEOM.GEOM_Object, containing the created revolution.

Example

Create a shape by revolution of the base shape around the axis
on the given angle, i.e. all the space, transfixed by the base
shape during its rotation around the axis on the given angle.

Parameters:
    theBase Base shape to be rotated.
    theAxis Rotation axis.
    theAngle Rotation angle in radians.

Returns: 
    New GEOM.GEOM_Object, containing the created revolution.

Definition at line 2422 of file geompyDC.py.

02422 
02423         def MakeRevolution(self, theBase, theAxis, theAngle):
02424             """
02425             Create a shape by revolution of the base shape around the axis
02426             on the given angle, i.e. all the space, transfixed by the base
02427             shape during its rotation around the axis on the given angle.
02428 
02429             Parameters:
02430                 theBase Base shape to be rotated.
02431                 theAxis Rotation axis.
02432                 theAngle Rotation angle in radians.
02433 
02434             Returns: 
02435                 New GEOM.GEOM_Object, containing the created revolution.
02436             """
02437             # Example: see GEOM_TestAll.py
02438             theAngle,Parameters = ParseParameters(theAngle)
02439             anObj = self.PrimOp.MakeRevolutionAxisAngle(theBase, theAxis, theAngle)
02440             RaiseIfFailed("MakeRevolutionAxisAngle", self.PrimOp)
02441             anObj.SetParameters(Parameters)
02442             return anObj

Here is the call graph for this function:

def geompyDC.geompyDC.MakeRevolution2Ways (   self,
  theBase,
  theAxis,
  theAngle 
)

Create a shape by revolution of the base shape around the axis on the given angle, i.e.

all the space, transfixed by the base shape during its rotation around the axis on the given angle in both directions (forward/backward)

Parameters:
theBaseBase shape to be rotated.
theAxisRotation axis.
theAngleRotation angle in radians.
Returns:
New GEOM.GEOM_Object, containing the created revolution.

Example

Create a shape by revolution of the base shape around the axis
on the given angle, i.e. all the space, transfixed by the base
shape during its rotation around the axis on the given angle in
both directions (forward/backward).

Parameters:
    theBase Base shape to be rotated.
    theAxis Rotation axis.
    theAngle Rotation angle in radians.

Returns: 
    New GEOM.GEOM_Object, containing the created revolution.

Definition at line 2453 of file geompyDC.py.

02453 
02454         def MakeRevolution2Ways(self, theBase, theAxis, theAngle):
02455             """
02456             Create a shape by revolution of the base shape around the axis
02457             on the given angle, i.e. all the space, transfixed by the base
02458             shape during its rotation around the axis on the given angle in
02459             both directions (forward/backward).
02460 
02461             Parameters:
02462                 theBase Base shape to be rotated.
02463                 theAxis Rotation axis.
02464                 theAngle Rotation angle in radians.
02465 
02466             Returns: 
02467                 New GEOM.GEOM_Object, containing the created revolution.
02468             """
02469             theAngle,Parameters = ParseParameters(theAngle)
02470             anObj = self.PrimOp.MakeRevolutionAxisAngle2Ways(theBase, theAxis, theAngle)
02471             RaiseIfFailed("MakeRevolutionAxisAngle2Ways", self.PrimOp)
02472             anObj.SetParameters(Parameters)
02473             return anObj

Here is the call graph for this function:

def geompyDC.geompyDC.MakeThruSections (   self,
  theSeqSections,
  theModeSolid,
  thePreci,
  theRuled 
)

Create a shell or solid passing through set of sections.Sections should be wires,edges or vertices.

Parameters:
theSeqSections- set of specified sections.
theModeSolid- mode defining building solid or shell
thePreci- precision 3D used for smoothing
theRuled- mode defining type of the result surfaces (ruled or smoothed).
Returns:
New GEOM.GEOM_Object, containing the created shell or solid.

Example

Create a shell or solid passing through set of sections.Sections should be wires,edges or vertices.

Parameters:
    theSeqSections - set of specified sections.
    theModeSolid - mode defining building solid or shell
    thePreci - precision 3D used for smoothing
    theRuled - mode defining type of the result surfaces (ruled or smoothed).

Returns:
    New GEOM.GEOM_Object, containing the created shell or solid.

Definition at line 2532 of file geompyDC.py.

02532 
02533         def MakeThruSections(self,theSeqSections,theModeSolid,thePreci,theRuled):
02534             """
02535             Create a shell or solid passing through set of sections.Sections should be wires,edges or vertices.
02536 
02537             Parameters:
02538                 theSeqSections - set of specified sections.
02539                 theModeSolid - mode defining building solid or shell
02540                 thePreci - precision 3D used for smoothing
02541                 theRuled - mode defining type of the result surfaces (ruled or smoothed).
02542 
02543             Returns:
02544                 New GEOM.GEOM_Object, containing the created shell or solid.
02545             """
02546             # Example: see GEOM_TestAll.py
02547             anObj = self.PrimOp.MakeThruSections(theSeqSections,theModeSolid,thePreci,theRuled)
02548             RaiseIfFailed("MakeThruSections", self.PrimOp)
02549             return anObj

Here is the call graph for this function: